/*************************************************************************************
 * FontSize.h
 *
 * 作者: 雷登似
 * 公司: TCL多媒体科技控股有限公司
 * 版本: 0.01
 * 编程日期: 2010-04-21
 * 联系方式: wp2.leids@tcl.com / 0752-3270423(81423)
 *
 * 功能: 设置字体样式
 * 说明: 本软件释放给TCL公司, 只要你喜欢, 在TCL公司内部可以免费使用, 但在使用过程中
 *       你必须保证此软件的说明信息完整！
 *
 * 此软件的最终解释权归原作者拥有, 作者不对软件的分发和使用负责, 如果你因使用此软
 * 件而造成的任何损失或商业风险均由使用者自己承担所有责任.
 *
 *************************************************************************************/

#ifndef __X_COLOR_STATIC_H__
#define __X_COLOR_STATIC_H__

class CXColorStatic : public CStatic
{
// 构造函数和析构函数声明
public:
    CXColorStatic();
    virtual ~CXColorStatic();

//成员函数声明
public:
    void SetBackgroundColor(COLORREF rgb, BOOL bRedraw = TRUE);
    void SetTextColor(COLORREF rgb, BOOL bRedraw = TRUE);
    void SetBold(BOOL bFlag, BOOL bRedraw = TRUE);
    void SetFont(LPCTSTR lpszFaceName, int iPointSize, BOOL bRedraw = TRUE);
    void SetFont(LOGFONT* pLogFont, BOOL bRedraw = TRUE);
    void SetFont(CFont* pFont, BOOL bRedraw = TRUE);
    void SetIcon(HICON hIcon, BOOL bRedraw = TRUE);
    void SetMargins(int x, int y) {m_iXMargin = x; m_iYMargin = y;}

// 方法覆盖
// {{AFX_VIRTUAL
protected:
    virtual void PreSubclassWindow();
// }}AFX_VIRTUAL

// 数据成员
protected:
    CFont       m_font;
    COLORREF    m_rgbText;
    COLORREF    m_rgbBackground;
    CBrush*     m_pBrush;
    BOOL        m_bBold;
    int         m_iXMargin, m_iYMargin;
    HICON       m_hIcon;

// 消息映射方法
protected:
    // {{AFX_MSG
    afx_msg void OnPaint();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    // }}AFX_MSG
    DECLARE_MESSAGE_MAP();
};

#endif